Summary: JDK Setup Package
Name: jdksetup
Version: 4.0
Release: 6AX
License: GPL
Group: Development/Tools
Source0: sun_java_sdk.csh.tmpl
Source1: sun_java_sdk.sh.tmpl
BuildRoot: /var/tmp/%{name}-root
%ifarch i386 x86_64 ppc ppc64
PreReq: fileutils, jdk
%endif
%ifarch ia64
PreReq: fileutils, j2sdk
%endif

%description
This package setup JDK environment for users.

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/profile.d/
install -m755 %{SOURCE0} $RPM_BUILD_ROOT/etc/profile.d/sun_java_sdk.csh
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/sun_java_sdk.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post
_jdkver=`ls /usr/java | grep jdk | sort -nr | head -1`
if [ -z "$_jdkver" ] ; then
    _jdkver=`ls /usr/java | grep j2sdk | sort -nr | head -1`
fi
if [ ! -z "$_jdkver" -a -d "/usr/java/$_jdkver" ] ; then
    rm -f /usr/lib/jdk
    ln -s "/usr/java/$_jdkver" /usr/lib/jdk
fi

%postun
if [ $1 -eq 0 ]; then
    rm -f /usr/lib/jdk
fi

%triggerpostun -- jdk, j2sdk
_jdkver=`ls /usr/java | grep jdk | sort -nr | head -1`
if [ -z "$_jdkver" ] ; then
    _jdkver=`ls /usr/java | grep j2sdk | sort -nr | head -1`
fi
if [ ! -z "$_jdkver" -a -d "/usr/java/$_jdkver" ] ; then
    rm -f /usr/lib/jdk
    ln -s "/usr/java/$_jdkver" /usr/lib/jdk
fi

%trigger -- jdk, j2sdk
_jdkver=`ls /usr/java | grep jdk | sort -nr | head -1`
if [ -z "$_jdkver" ] ; then
    _jdkver=`ls /usr/java | grep j2sdk | sort -nr | head -1`
fi
if [ ! -z "$_jdkver" -a -d "/usr/java/$_jdkver" ] ; then
    rm -f /usr/lib/jdk
    ln -s "/usr/java/$_jdkver" /usr/lib/jdk
fi

%files
%defattr(-,root,root)
/etc/profile.d/sun_java_sdk.csh
/etc/profile.d/sun_java_sdk.sh

%changelog
* Tue Jun 19 2007 Ryoji Kamei <kamei@miraclelinux.com> 4.0-6AX
- add %trigger to let /usr/lib/jdk link to the latest jdk
- fix %triggerpostun function bug

* Wed Mar 14 2007 Xiao Liu <xiaoliu@redflag-linux.com> 4.0-5AX
- change Copyright to License

* Thu Mar  2 2006 Shiro Yamada <shiro@miraclelinux.com> 4.0-4AX
- rebuild for 1.5.0_06-fcs

* Fri Oct 14 2005 Hua Jie <jiehua@redflag-linux.com> 4.0-3AX
- change the prerequire to j2sdk for IA64

* Tue Jun 28 2005 Hua Jie <jiehua@redflag-linux.com> 4.0-2AX
- update for jdk 1.5.0

* Fri Jun 24 2005 Shiro Yamada <shiro@miraclelinux.com> 4.0-1AX
- first build for asianux 2.0
